Package org.apache.tools.ant.taskdefs

# Enum XSLTProcess.ParamType

java.lang.Object
java.lang.Enum<XSLTProcess.ParamType>
org.apache.tools.ant.taskdefs.XSLTProcess.ParamType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<XSLTProcess.ParamType>`, `java.lang.constant.Constable`

Enclosing class:
  XSLTProcess

    public static enum XSLTProcess.ParamType
    extends java.lang.Enum<XSLTProcess.ParamType>

Enum for types of the parameter expression.

The expression can be:

- primitive type that will be parsed from the string value e.g. Integer.parseInt(java.lang.String)
- XPath expression that will be evaluated (outside of the transformed document - on empty one) and casted to given type. Inside XPath expressions the Ant variables (properties) can be used (as XPath variables - e.g. $variable123). n.b. placeholders in form of ${variable123} will be substituted with their values before evaluating the XPath expression (so it can be used for dynamic XPath function names and other hacks).

The parameter will be then passed to the XSLT template.

Default type (if omitted) is primitive String. So if the expression is e.g "true" with no type, in XSLT it will be only a text string, not true boolean.

Since:
  Ant 1.9.3
See Also:
  `XSLTProcess.Param.setType(java.lang.String)`, `XSLTProcess.Param.setExpression(java.lang.String)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BOOLEAN` |
  `DOUBLE` |
  `INT` |
  `LONG` |
  `STRING` |
  `XPATH_BOOLEAN` |
  `XPATH_NODE` |
  `XPATH_NODESET` |
  `XPATH_NUMBER` |
  `XPATH_STRING` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.util.Map<XSLTProcess.ParamType,​javax.xml.namespace.QName>` | `XPATH_TYPES` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static XSLTProcess.ParamType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static XSLTProcess.ParamType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRING

    public static final XSLTProcess.ParamType STRING

  - ### BOOLEAN

    public static final XSLTProcess.ParamType BOOLEAN

  - ### INT

    public static final XSLTProcess.ParamType INT

  - ### LONG

    public static final XSLTProcess.ParamType LONG

  - ### DOUBLE

    public static final XSLTProcess.ParamType DOUBLE

  - ### XPATH_STRING

    public static final XSLTProcess.ParamType XPATH_STRING

  - ### XPATH_BOOLEAN

    public static final XSLTProcess.ParamType XPATH_BOOLEAN

  - ### XPATH_NUMBER

    public static final XSLTProcess.ParamType XPATH_NUMBER

  - ### XPATH_NODE

    public static final XSLTProcess.ParamType XPATH_NODE

  - ### XPATH_NODESET

    public static final XSLTProcess.ParamType XPATH_NODESET

- ## Field Details

  - ### XPATH_TYPES

    public static final java.util.Map<XSLTProcess.ParamType,​javax.xml.namespace.QName> XPATH_TYPES

- ## Method Details

  - ### values

    public static XSLTProcess.ParamType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static XSLTProcess.ParamType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null